For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • GETList workspace user roles
      • DELRemove a user from a given workspace
      • PATCHUpdate user roles for the given workspace

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceWorkspace Permissions

List workspace user roles

GET
https://api.frame.io/v4/accounts/:account_id/workspaces/:workspace_id/users
GET
/v4/accounts/:account_id/workspaces/:workspace_id/users
1from frameio import Frameio
2
3client = Frameio(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.workspace_permissions.index(
8 account_id="90196d9a-4843-4311-a6bc-8927772494b8",
9 workspace_id="8897b795-ace2-4f12-b4b4-4a899aefa2d5",
10)
1{
2 "data": [
3 {
4 "role": "full_access",
5 "user": {
6 "active": true,
7 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
8 "email": "user_email@example.com",
9 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
10 "name": "Jon Doe"
11 }
12 }
13 ],
14 "links": {
15 "next": "/v4/accounts/123/workspaces/123/users"
16 },
17 "total_count": 10
18}

List user roles for a given workspace.
Rate Limits: 100 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

Remove a user from a given workspace

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
workspace_idstringRequiredformat: "uuid"
A UUID String

Query parameters

include_deactivatedbooleanOptional
Supports including deactivated users in the response. Default is false.
sortenumOptional
Sort users by query params
afterstringOptional

Opaque Cursor query param for requests returning paginated results.


NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.

page_sizeintegerOptional1-100Defaults to 50
Page size query param for requests
include_total_countbooleanOptionalDefaults to false
Page query param to include the count of all entities

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
datalist of objects
User Roles
linksobject
Links to paginated data
total_countinteger or null
Total count

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error